Subject: Bug#1233: Jitsi (Java Swing?) windows not rendered correctly

From: Daniel Pocock <[email-masked]>
Date: Fri, 17 Nov 2017 11:56:43 +0100

Package: x2goclient
Version: 4.0.5.2-2

I'm running the Jitsi IM client (for XMPP) in a remote desktop accessed
through the x2goclient

Jitsi displays two windows:

- the chat sessions (tabbed)

- the buddy list

When I first start it, both windows work

After some time, rendering fails, I just see the window borders and not
the window contents.  Sometimes I see some or all of the buttons and
menus at the top, sometimes I don't see those either but if I move the
mouse over the button bar and menus they appear as the mouse moves over
them.  Sometimes maximizing the window and then restoring it to the
normal size makes it render properly.

Regards,

Daniel